Package org.apache.commons.net

# Class DefaultDatagramSocketFactory

java.lang.Object
org.apache.commons.net.DefaultDatagramSocketFactory

All Implemented Interfaces:
  `DatagramSocketFactory`

public class DefaultDatagramSocketFactory extends Object implements DatagramSocketFactory
Implements the DatagramSocketFactory interface by simply wrapping the `DatagramSocket` constructors. It is the default DatagramSocketFactory used by `DatagramSocketClient` implementations.

See Also:
  - `DatagramSocketFactory`
  - `DatagramSocketClient`
  - `DatagramSocketClient.setDatagramSocketFactory(org.apache.commons.net.DatagramSocketFactory)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultDatagramSocketFactory()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatagramSocket`
  `createDatagramSocket()`
  Creates a DatagramSocket on the local host at the first available port.
  `DatagramSocket`
  `createDatagramSocket(int port)`
  Creates a DatagramSocket on the local host at a specified port.
  `DatagramSocket`
  `createDatagramSocket(int port, InetAddress localAddress)`
  Creates a DatagramSocket at the specified address on the local host at a specified port.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultDatagramSocketFactory

    public DefaultDatagramSocketFactory()
    Constructs a new instance.

- ## Method Details

  - ### createDatagramSocket

    public DatagramSocket createDatagramSocket() throws SocketException
    Creates a DatagramSocket on the local host at the first available port.
    Specified by:
      `createDatagramSocket` in interface `DatagramSocketFactory`
    Returns:
      a new DatagramSocket
    Throws:
      `SocketException` - If the socket could not be created.

  - ### createDatagramSocket

    public DatagramSocket createDatagramSocket(int port) throws SocketException
    Creates a DatagramSocket on the local host at a specified port.
    Specified by:
      `createDatagramSocket` in interface `DatagramSocketFactory`
    Parameters:
      `port` - The port to use for the socket.
    Returns:
      a new DatagramSocket
    Throws:
      `SocketException` - If the socket could not be created.

  - ### createDatagramSocket

    public DatagramSocket createDatagramSocket(int port, InetAddress localAddress) throws SocketException
    Creates a DatagramSocket at the specified address on the local host at a specified port.
    Specified by:
      `createDatagramSocket` in interface `DatagramSocketFactory`
    Parameters:
      `port` - The port to use for the socket.
      `localAddress` - The local address to use.
    Returns:
      a new DatagramSocket
    Throws:
      `SocketException` - If the socket could not be created.